> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Hypervisors

> Get hypervisor status information for VPC monitoring

Requires an enterprise admin personal API key.

Returns a list of hypervisors with their current health status for the enterprise. This endpoint is designed for VPC monitoring and allows enterprise administrators to check the health of their hypervisor infrastructure.

<Note>
  This endpoint is only available for enterprises with VPC deployments.
</Note>


## OpenAPI

````yaml /v2-openapi.yaml GET /v2/enterprise/hypervisors/health
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/hypervisors/health:
    get:
      tags:
        - hypervisors
      summary: Get Enterprise Hypervisors Health
      description: |-
        Get all hypervisors for an enterprise with their current health status.

        Returns:
            List of hypervisors with their hypervisor_id and status
      operationId: get_enterprise_hypervisors_health_v2_enterprise_hypervisors_health_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/HypervisorStatus'
                title: >-
                  Response Get Enterprise Hypervisors Health V2 Enterprise
                  Hypervisors Health Get
                type: array
          description: Successful Response
components:
  schemas:
    HypervisorStatus:
      properties:
        hypervisor_id:
          title: Hypervisor Id
          type: string
        seconds_since_report:
          anyOf:
            - type: integer
            - type: 'null'
          title: Seconds Since Report
        status:
          title: Status
          type: string
      required:
        - hypervisor_id
        - status
      title: HypervisorStatus
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````